
%global framework libkface

Name:    kf5-libkface
Summary: A face recognition and detection library
Version: 15.12.3
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/libkface
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: kf5-rpm-macros
BuildRequires: pkgconfig(opencv) >= 2.4.9
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Xml)

Requires: kf5-filesystem

%description
%{summary}.

%package devel
Summary:  Development files for %{name}
License:  GPLv2+ and LGPLv2+ and BSD
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS
%license COPYING COPYING.LIB
%{_kf5_libdir}/libKF5KFace.so.*
%{_kf5_datadir}/libkface/

%files devel
%{_kf5_includedir}/KFace/
%{_kf5_includedir}/libkface_version.h
%{_kf5_libdir}/libKF5KFace.so
%{_kf5_libdir}/cmake/KF5KFace/


%changelog
* Tue Mar 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.3-1
- 15.12.3

* Mon Feb 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.2-1
- 15.12.2

* Fri Feb 05 2016 Rex Dieter <rdieter@fedoraproject.org> 15.12.1-1
- 15.12.1

* Wed Dec 30 2015 Rex Dieter <rdieter@fedoraproject.org> 15.08.3-2
- 15.12.0, first try

